import tomlkit

_raw_config = None

def _load_config():
    global _raw_config
    if not _raw_config:
        with open("tt.toml", "r") as f:
            _raw_config = tomlkit.load(f)
    return _raw_config


def get_enum(name):
    for enum in _load_config().get("enums", []):
        if enum["name"] == name:
            return {v["value"]: v for v in enum["values"]}

    raise ValueError(f"no such enum! {name}")

def get_view(name):
    for view in _load_config().get("views", []):
        if view["name"] == name:
            return view

    raise ValueError(f"no such view! {name}")


STATUSES = get_enum("status")
PROJECTS = get_enum("projects")
